// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wUsersView:
//   The users view.


// -------------------------------------
// Includes
//
#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wUsersView.h"

#include "p4wUsersPane.h"
#include "p4wMenuPane.h"



//
// -------------------------------------
// Constructors and destructor.
//
p4wUsersView::p4wUsersView(p4wRequest & Request)
	: p4wView(Request)
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Users" );
	fFullTitle.Set( "Users" );
}

p4wUsersView::~p4wUsersView()
{
}



// -------------------------------------
// Control item render functions.
//

void p4wUsersView::RenderContent()
{
	//
	// Send the users view pane.
	p4wUsersPane usersPane(*this, fRequest);
	fRequest.p4("users", 0, NULL, &usersPane);
	
	//
	// Wait for the pane to draw.
	fRequest.p4Wait();
}

void p4wUsersView::RenderMenu()
{
	//
	// Draw the menu bar
	p4wMenuPane menuPane(*this, fRequest, "user");
	menuPane.Render(NULL);
}
